CVE-2020-15304

NameCVE-2020-15304
DescriptionAn issue was discovered in OpenEXR before 2.5.2. An invalid tiled input file could cause invalid memory access in TiledInputFile::TiledInputFile() in IlmImf/ImfTiledInputFile.cpp, as demonstrated by a NULL pointer dereference.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openexr (PTS)stretch2.2.0-11fixed
buster2.2.1-4.1fixed
bullseye, sid2.3.0-6vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openexrsourceexperimental2.5.2-1
openexrsourcestretch(not affected)
openexrsourcebuster(not affected)
openexrsource(unstable)(unfixed)

Notes

[buster] - openexr <not-affected> (Vulnerable code not present)
[stretch] - openexr <not-affected> (Vulnerable code not present)
[jessie] - openexr <no-dsa> (Minor issue)
https://github.com/AcademySoftwareFoundation/openexr/pull/727
https://github.com/AcademySoftwareFoundation/openexr/commit/36e05c14c612a89c43d4e0b013669ecd7f8e3440

Search for package or bug name: Reporting problems